- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# VariableValuesString Class Reference

The VariableValuesString Class. More...

`#include <OSResult.h>`

Collaboration diagram for VariableValuesString:

[legend]
List of all members.

## Public Member Functions
| VariableValuesString ()
| Default constructor.
| ~VariableValuesString ()
| Class destructor.
bool | IsEqual (VariableValuesString *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
int | numberOfVar
| the number of string-valued variable values that are in the solution
VarValueString ** | var
| a vector of VarValueString objects, there will be one for each variable in the solution

## Detailed Description

The VariableValuesString Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that contains values for all the string-valued variables

Definition at line 987 of file OSResult.h.

## Constructor & Destructor Documentation

VariableValuesString::VariableValuesString | ( |  | ) |

Default constructor.

Definition at line 447 of file OSResult.cpp.

VariableValuesString::~VariableValuesString | ( |  | ) |

Class destructor.

Definition at line 457 of file OSResult.cpp.

References numberOfVar, and var.

## Member Function Documentation

bool VariableValuesString::IsEqual | ( | VariableValuesString * | that | ) |

A function to check for the equality of two objects.

Definition at line 6277 of file OSResult.cpp.

bool VariableValuesString::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7847 of file OSResult.cpp.

References VarValueString::setRandom(), and var.

## Member Data Documentation

int VariableValuesString::numberOfVar

the number of string-valued variable values that are in the solution

Definition at line 992 of file OSResult.h.

Referenced by ~VariableValuesString().

VarValueString** VariableValuesString::var

a vector of VarValueString objects, there will be one for each variable in the solution

Definition at line 997 of file OSResult.h.

Referenced by setRandom(), and ~VariableValuesString().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp